#%RAML 1.0 Library
type: object
displayName: Filtro de equipamentos
description: Utilizado para poder filtrar os equipamentos de responsabilidade do cliente.
properties: 
    numeroPagina: 
        type: integer
        description: Atributo para indicar página atual da pesquisa paginada.
    maximoPorPagina:
        type: integer
        description: Atributo para indicar a quantidade de elementos sendo buscados por página.
        maximum: 100
    codigoExternoEquipamento:
        required: false
        type: string
        description: Utilizar para filtrar o código externo dos equipamentos. Valores parciais são considerados.
    ativo:
        required: false
        type: boolean
        description: Limita a busca em listar os que estão ativos. Não informar para todos.
    chassiSerie:
        required: false
        type: string
        description: Filtra pelo chassi ou série do equipamento. Valores parciais são considerados.
    frota:
        required: false
        type: string
        description: Filtra pela frota ou tag do equipamento. Valores parciais são considerados.
    nomeFamiliaEquipamento:
        required: false
        type: string
        description: Filtra pelo nome da família do equipamento. Valores parciais são considerados.
    nomeFabricanteEquipamento:
        required: false
        type: string
        description: Filtra pelo nome do fabricante do equipamento. Valores parciais são considerados.
    modeloEquipamento:
        required: false
        type: string
        description: Filtra pelo modelo do equipamento. Valores parciais são considerados.
    nomeCliente:
        required: false
        type: string
        description: Filtra pelo cliente responsável pelo equipamento. Valores parciais são considerados.
    nomeObra:
        required: false
        type: string
        description: Filtra pela obra responsável pelo equipamento. Valores parciais são considerados.
    area:
        required: false
        type: string
        description: Filtra pela área do equipamento. Valores parciais são considerados.
    setor:
        required: false
        type: string
        description: Filtra pelo setor do equipamento. Valores parciais são considerados.